# md5

    text md5(text, flags)

Return an MD5 cryptographic 128-bit hash code of text as characters in the UTF-8 charset or an hexadecimal representation of bytes.

Flags:

Flag | Description
--- | ---
`"h"` | Expect the text to be an hexadecimal representation of bytes, see hexEncode function.

Security warning! The MD5 hash algorithm is no longer considered secure and should not be use for cryptographic purposes.

## Parameters

1. text — text as characters in the UTF-8 charset or an hexadecimal representation of bytes.
2. flags — optional text where each character is a flag.

## Returns

- an hexadecimal representation of the 128-bit checksum.